### Function

# Pango reorder_items

#### Declaration [src]

    GList*
    pango_reorder_items (
      GList* items
    )

#### Description [src]

Reorder items from logical order to visual order.

The visual order is determined from the associated directional levels of the items. The original list is unmodified.

(Please open a bug if you use this function. It is not a particularly convenient interface, and the code is duplicated elsewhere in Pango for that reason.).

#### Parameters

`items`

  Type: A list of `PangoItem*`

  A `GList` of `PangoItem` in logical order.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `PangoItem*`

A `GList` of `PangoItem` structures in visual order.

The caller of the function takes ownership of the data, and is responsible for freeing it.